Skip to main content
GET
Get WhatsApp Flow's preview

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

sender
string
required

Registered WhatsApp sender number. Must be in international format.

Minimum string length: 1
flowId
string
required

ID of the flow for which the preview URL will be generated.

Minimum string length: 1

Response

Flow's preview URL

previewUrl
string
required

Link for the preview page.

Minimum string length: 1
Example:

"https://example.com/"

expiresAt
string<date-time>
required

Time when the link will expire and the developer needs to call the API again to get a new link. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.

Example:

"2023-05-21T11:18:09Z"